|
|
@ -53,7 +53,8 @@ result = ( |
|
|
|
result.workplane(offset=-7.8) |
|
|
|
.center((amp_width / 2) - (panel_width / 2) - 1, 0) |
|
|
|
.box(panel_width, amp_width, amp_height) |
|
|
|
.faces("+Z").chamfer(0.9, 1) |
|
|
|
.faces("+Z") |
|
|
|
.chamfer(0.9, 1) |
|
|
|
) |
|
|
|
|
|
|
|
panel_holes = ( |
|
|
@ -77,9 +78,15 @@ panel_holes_2 = ( |
|
|
|
result = result.cut(panel_holes) |
|
|
|
result = result.cut(panel_holes_2) |
|
|
|
|
|
|
|
result = ( |
|
|
|
result.workplane() |
|
|
|
.line(0, amp_width, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.cylinder(3, 5) |
|
|
|
) |
|
|
|
|
|
|
|
back = ( |
|
|
|
result |
|
|
|
.workplane(offset=-6.3) |
|
|
|
result.workplane(offset=-6.3) |
|
|
|
.center(-(amp_width) + 2, 0) |
|
|
|
.box(panel_width * 2.5, amp_width + side_width, amp_height + 2.5) |
|
|
|
) |
|
|
@ -102,6 +109,7 @@ cq.exporters.export(result, "/home/deck/model_files/amp_case.step") |
|
|
|
cq.exporters.export(back, "/home/deck/model_files/amp_case_back.step") |
|
|
|
|
|
|
|
try: |
|
|
|
show_object(back) |
|
|
|
# show_object(back) |
|
|
|
show_object(result) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|